<?php
ob_start();
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include('includes/function.php');

$maindb = "gsttype";
$formname = "GST Type Print";
$file = "gsttype_print.php";

$admin = $_SESSION["admin_" . $dbname];
$zdb = $_SESSION["zdbyear_" . $dbname];
$myyear = $_SESSION[$myyear];
mysqli_select_db($conn, $zdb);

if (isset($_POST["view"])) {

    $name = $_POST[name];
    $per = $_POST[per];

    $namecond = "";
    $percond = "";

    if (!empty($name)) {
        $namecond = " AND `code`='$name' ";
    }
    if (!empty($per)) {
        $percond = " AND `per` = '$per' ";
    }


    $getpmain = mysqli_query($conn, "SELECT * FROM `$maindb` WHERE code != '' $namecond $percond ")or die(mysqli_error($conn));

    include("includes/linkshead.php");
    ?>
    </head>
    <body>
        <div class="container">
<?php include("includes/head_rep.php"); ?>

            <div class="row">
                <div class="col-lg-12 pad">
                    <table class="table table-condensed table-bordered table-hover">
                        <tr  style="background-color: #1ABC9C">
                            <th>Sr</th>
                            <th>Name</th>                        
                            <th>Percentage</th>                        
                            <th>Short Name</th>                        
                            <th>Discount Percentage</th>                        
                        </tr>
                        <?php
                        $ctr = 1;
                        while ($pmain = mysqli_fetch_array($getpmain)) {


                            Echo "<tr>";
                            Echo"<td>$ctr</td>";
                            Echo"<td>$pmain[name]</td>";
                            Echo"<td>$pmain[per]</td>";
                            Echo"<td>$pmain[shortname]</td>";
                            Echo"<td>$pmain[discperc]</td>";
                            Echo "</tr>";
                            $ctr++;
                        }
                        ?>
                    </table>
                </div>
            </div>
        </div>

        <?php include("includes/linksfoot.php"); ?>
    </body>
    </html>
    <?php
}
if (isset($_POST["excel"])) {
    $name = $_POST[name];
    $per = $_POST[per];

    $namecond = "";
    $percond = "";

    if (!empty($name)) {
        $namecond = " AND `code`='$name' ";
    }
    if (!empty($per)) {
        $percond = " AND `per` = '$per' ";
    }


    $getpmain = mysqli_query($conn, "SELECT * FROM `$maindb` WHERE code != '' $namecond $percond ")or die(mysqli_error($conn));

    $contents.="Sr.,Name,Percentage,Short Name, Discount Percentage\n";
    $ctr = 1;
    while ($pmain = mysqli_fetch_array($getpmain)) {
        
        $pname = $pmain[name];
        $pper = $pmain[per];
        $pshortname = $pmain[shortname];
        $pdiscperc = $pmain[discperc];
        
        
        $contents.=$ctr . ",";
        $contents.=$pname . ",";
        $contents.=$pper . ",";
        $contents.=$pshortname . ",";
        $contents.=$pdiscperc . "\n";
        $ctr++;
    }
        

$contents = strip_tags($contents);

if ($_POST["dtype"] == 1) {
header("Content-Disposition: attachment; filename=$formname" . "_Summary" . date('d-m-Y') . ".csv");
print $contents;
} else {
header("Content-Disposition: attachment; filename=$formname" . "_Detail" . date('d-m-Y') . ".csv");
print $contents;
}
}
?>